The major.minor version '49.0' is too recent.

[ 2006-07-04 12:50:08 | Author: zhenhua ]
Font Size: Large | Medium | Small
如果出现了以下错误:
The major.minor version '49.0' is too recent for this tool to understand.
The major.minor version '48.0' is too recent for this tool to understand.

这是因为Java编译时允许运行的JDK版本不同导致的,一般是从高版本下编译,放到低版本下会出现这种提示,如果是用JBuilder编译,可以右键选择项目里的 properties... 选择Build--Java,将Target VM(允许在什么版本下运行)选项设为All Java SDKs (所有JDK版本)或者 Java 2 SDK,v 1.2 and later ,确定后将项目Rebuild一下,重新传上Classes就正常了

error code 对照:
Java  Class file
Version  Version
-------  ---------------------
1.02  45.0 through 45.3
1.1x  45.0 through 45.65535
1.2  45.0 through 46.0
1.3  47.0
1.4  48.0
1.5  49.0
1.6  50.0

Comments Feed Comments Feed: http://www.zhenhua.org/feed.asp?q=comment&id=376
UTF-8 Encoding Trackback URL: http://www.zhenhua.org/trackback.asp?id=376

There is no comment on this article.

If you feel this site you find this information helpful, please click on the donation, which is voluntary,Thank you.
Post Comment
Smilies
[arrow] [biggrin] [confused] [cool]
[cry] [eek] [evil] [exclaim]
[frown] [idea] [lol] [mad]
[mrgreen] [neutral] [question] [razz]
[redface] [rolleyes] [sad] [smile]
[surprised] [twisted] [wink]
Enable UBB Codes
Auto Convert URL
Show Smilies
Hidden Comment
Username:   Password:   Register Now?
Security Code * Please Enter the Security Code